Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProgrammableDataObjectSource Class Reference

`#include <vtkProgrammableDataObjectSource.h>`

Inheritance diagram for vtkProgrammableDataObjectSource:

[legend]
Collaboration diagram for vtkProgrammableDataObjectSource:

[legend]
List of all members.

## Detailed Description

generate source data object via a user-specified function

Date:
  2002/01/22 15:29:39

Revision:
  1.18

vtkProgrammableDataObjectSource is a source object that is programmable by the user. The output of the filter is a data object (vtkDataObject) which represents data via an instance of field data. To use this object, you must specify a function that creates the output.

Example use of this filter includes reading tabular data and encoding it as vtkFieldData. You can then use filters like vtkDataObjectToDataSetFilter to convert the data object to a dataset and then visualize it. Another important use of this class is that it allows users of interpreters (e.g., Tcl or Java) the ability to write source objects without having to recompile C++ code or generate new libraries.

See also:
  vtkProgrammableFilter vtkProgrammableAttributeDataFilter vtkProgrammableSource vtkDataObjectToDataSetFilter

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (92%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkProgrammableDataObjectSource.h)`
  - .`cxx` (`/Graphics/vtkProgrammableDataObjectSource.cxx)`

Examples:
  vtkProgrammableDataObjectSource (Examples)

Tests:
  vtkProgrammableDataObjectSource (Tests)

Definition at line 60 of file vtkProgrammableDataObjectSource.h.

## Public Types
typedef vtkSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetExecuteMethod (void(*f)(void *), void *arg)
void | SetExecuteMethodArgDelete (void(*f)(void *))
vtkDataObject * | GetOutput ()
vtkDataObject * | GetOutput (int idx)
## Static Public Methods
vtkProgrammableDataObjectSource * | New ()
int | IsTypeOf (const char *type)
vtkProgrammableDataObjectSource * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProgrammableDataObjectSource ()
| ~vtkProgrammableDataObjectSource ()
void | Execute ()
## Protected Attributes
void(* | ExecuteMethod )(void *)
void(* | ExecuteMethodArgDelete )(void *)
void * | ExecuteMethodArg

## Member Typedef Documentation

typedef vtkSource vtkProgrammableDataObjectSource::Superclass

| Reimplemented from vtkSource. Definition at line 64 of file vtkProgrammableDataObjectSource.h.

## Constructor & Destructor Documentation

vtkProgrammableDataObjectSource::vtkProgrammableDataObjectSource | ( |  | ) | `[protected]`

vtkProgrammableDataObjectSource::~vtkProgrammableDataObjectSource | ( |  | ) | `[protected]`

## Member Function Documentation

vtkProgrammableDataObjectSource* vtkProgrammableDataObjectSource::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkProgrammableDataObjectSource::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkSource.

int vtkProgrammableDataObjectSource::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

virtual int vtkProgrammableDataObjectSource::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkSource.

vtkProgrammableDataObjectSource* vtkProgrammableDataObjectSource::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkSource.

void vtkProgrammableDataObjectSource::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkSource.

void vtkProgrammableDataObjectSource::SetExecuteMethod | ( | void(* | f)(void *),
|  | void * | arg
| ) |

| Specify the function to use to generate the output data object. Note that the function takes a single (void *) argument.

void vtkProgrammableDataObjectSource::SetExecuteMethodArgDelete | ( | void(* | f)(void *) | ) |

| Set the arg delete method. This is used to free user memory.

vtkDataObject* vtkProgrammableDataObjectSource::GetOutput | ( |  | ) |

| Get the output data object.

vtkDataObject* vtkProgrammableDataObjectSource::GetOutput | ( | int | idx | ) | `[inline]`

| Get the output data object. Reimplemented from vtkSource. Definition at line 77 of file vtkProgrammableDataObjectSource.h. References vtkSource::GetOutput().

void vtkProgrammableDataObjectSource::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

void(* vtkProgrammableDataObjectSource::ExecuteMethod)(void *)`[protected]`

void(* vtkProgrammableDataObjectSource::ExecuteMethodArgDelete)(void *)`[protected]`

void* vtkProgrammableDataObjectSource::ExecuteMethodArg`[protected]`

| Definition at line 89 of file vtkProgrammableDataObjectSource.h.

The documentation for this class was generated from the following file:

- Graphics/vtkProgrammableDataObjectSource.h